Skip to main content
GET
/
extern
/
svr
/
{accountTypeId}
/
account
/
{accountId}
/
safe
/
resolve
Resolve and validate a Safe for a chain
curl --request GET \
  --url https://{host}/extern/svr/{accountTypeId}/account/{accountId}/safe/resolve \
  --header 'X-API-Key: <api-key>'
{
  "status": "<string>",
  "data": {
    "status": "<string>",
    "accountId": "<string>",
    "userAddress": "<string>",
    "safeAddress": "<string>",
    "chainId": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.blend.money/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Server-to-server API key

Path Parameters

accountTypeId
string
required
accountId
string<uuid>
required

Query Parameters

chainId
required

Response

Success

status
string
required
Allowed value: "success"
data
object
required
Last modified on May 29, 2026